function msfAdd(block)
%% Level-2 M-File S-Function for thresholding images
%% RIPAC Blockset
%%=========================================================================
setup(block);
  
function g = Add(f1,f2)
    f = f1 + f2;
    g = uint8(f);
       
%% Function: setup ========================================================
function setup(block)

    % Register number of ports
    block.NumInputPorts  = 2;
    block.NumOutputPorts = 1;
  
    % Setup port properties to be inherited or dynamic
    block.SetPreCompInpPortInfoToDynamic;
    block.SetPreCompOutPortInfoToDynamic;
  
    % Override input port properties
    block.InputPort(1).DatatypeID  = 3; % uint8
    block.InputPort(1).Complexity  = 'Real';
    block.InputPort(1).SamplingMode = 'Sample';
    block.InputPort(1).Overwritable = false; % No in-place operation
     % Override input port properties
    block.InputPort(2).DatatypeID  = 3; % uint8
    block.InputPort(2).Complexity  = 'Real';
    block.InputPort(2).SamplingMode = 'Sample';
    block.InputPort(2).Overwritable = false; % No in-place operation
    
    % Override output port properties
    block.OutputPort(1).DatatypeID  = 3; % uint8
    block.OutputPort(1).Complexity  = 'Real';
    block.OutputPort(1).SamplingMode = 'Sample';
       
    % Register methods
    block.RegBlockMethod('Outputs',@Output);
%% End of Function: setup ================================================= 

%% Function: Output =======================================================
function Output(block)
    block.OutputPort(1).Data = Add(block.InputPort(1).Data,block.InputPort(2).Data);    
%% End of Function: Output ================================================